Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-12511

Make the Compatibility matrix visible to users installing an Extension and warn him if there's a problem reported with his versions

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 6.4
    • Fix Version/s: None
    • Component/s: Repository
    • Labels:
      None
    • Difficulty:
      Unknown
    • Similar issues:

      Description

      Right now we have a Compatibility matrix for Extension but it's only visible on extensions.xwiki.org. Thus when a user installs an extension from XWiki, he doesn't get to see it nor receive any warning if the extension has been reported to not work with his XWiki version. This leads to frustration and a bad image of the XWiki ecosystem.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              vmassol Vincent Massol
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Date of First Response: